STPCPY(3)

NAME
stpcpy - copy a string returning a pointer to its end

SYNOPSIS
#include <string.h>

char *stpcpy(char *dest, const char *src);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

stpcpy():
    Since glibc 2.10:
        _XOPEN_SOURCE >= 700 || _POSIX_C_SOURCE >= 200809L
    Before glibc 2.10:
        _GNU_SOURCE

DESCRIPTION
The stpcpy() function copies the string pointed to by src (including the terminating '\0' character) to the array pointed to by dest. The strings may not overlap, and the destination string dest must be large enough to receive the copy.

RETURN VALUE
stpcpy() returns a pointer to the end of the string dest (that is, the address of the terminating null byte) rather than the beginning.

CONFORMING TO
This function is not part of the C or POSIX.1 standards, and is not customary on UNIX systems, but is not a GNU invention either. Perhaps it comes from MS-DOS. Nowadays, it is also present on the BSDs.

EXAMPLE
For example, this program uses stpcpy() to concatenate foo and bar to produce foobar, which it then prints.
#define _GNU_SOURCE
#include <string.h>
#include <stdio.h>
int
main(void)
{
    char buffer[20];
    char *to = buffer;
    to = stpcpy(to, "foo");
    to = stpcpy(to, "bar");
    printf("%s\n", buffer);
}

BUGS
This function may overrun the buffer dest.

SEE ALSO
bcopy(3), memccpy(3), memcpy(3), memmove(3), strcpy(3), string(3), wcpcpy(3)

COLOPHON
This page is part of release 3.32 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.